Index: /palm/trunk/SOURCE/Makefile
===================================================================
--- /palm/trunk/SOURCE/Makefile	(revision 1374)
+++ /palm/trunk/SOURCE/Makefile	(revision 1375)
@@ -20,5 +20,5 @@
 # Current revisions:
 # ------------------
-# bugfix: missing dependency added for check_open
+# 
 # 
 # Former revisions:
@@ -26,4 +26,7 @@
 # $Id$
 #
+# 1374 2014-04-25 12:55:07Z raasch
+# bugfix: missing dependency added for check_open
+# 
 # 1365 2014-04-22 15:03:56Z boeske
 # Added new module calc_mean_profile, previously in module buoyancy,
Index: /palm/trunk/SOURCE/advec_s_bc.f90
===================================================================
--- /palm/trunk/SOURCE/advec_s_bc.f90	(revision 1374)
+++ /palm/trunk/SOURCE/advec_s_bc.f90	(revision 1375)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! missing variables added to ONLY list
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1374 2014-04-25 12:55:07Z raasch
+! missing variables added to ONLY list
+! 
 ! 1361 2014-04-16 15:17:48Z hoffmann
 ! nr and qr added
Index: /palm/trunk/SOURCE/advec_s_pw.f90
===================================================================
--- /palm/trunk/SOURCE/advec_s_pw.f90	(revision 1374)
+++ /palm/trunk/SOURCE/advec_s_pw.f90	(revision 1375)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! missing variables added to ONLY list
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1374 2014-04-25 12:55:07Z raasch
+! missing variables added to ONLY list
+! 
 ! 1353 2014-04-08 15:21:23Z heinze
 ! REAL constants provided with KIND-attribute
Index: /palm/trunk/SOURCE/advec_s_up.f90
===================================================================
--- /palm/trunk/SOURCE/advec_s_up.f90	(revision 1374)
+++ /palm/trunk/SOURCE/advec_s_up.f90	(revision 1375)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! missing variables added to ONLY list
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1374 2014-04-25 12:55:07Z raasch
+! missing variables added to ONLY list
+! 
 ! 1353 2014-04-08 15:21:23Z heinze
 ! REAL constants provided with KIND-attribute
Index: /palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- /palm/trunk/SOURCE/advec_ws.f90	(revision 1374)
+++ /palm/trunk/SOURCE/advec_ws.f90	(revision 1375)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! missing variables added to ONLY list
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1374 2014-04-25 12:55:07Z raasch
+! missing variables added to ONLY list
+! 
 ! 1361 2014-04-16 15:17:48Z hoffmann
 ! accelerator and vector version for qr and nr added
Index: /palm/trunk/SOURCE/buoyancy.f90
===================================================================
--- /palm/trunk/SOURCE/buoyancy.f90	(revision 1374)
+++ /palm/trunk/SOURCE/buoyancy.f90	(revision 1375)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! missing variables added to ONLY list
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1374 2014-04-25 12:55:07Z raasch
+! missing variables added to ONLY list
+! 
 ! 1365 2014-04-22 15:03:56Z boeske
 ! Calculation of reference state in subroutine calc_mean_profile moved to
Index: /palm/trunk/SOURCE/cuda_fft_interfaces.f90
===================================================================
--- /palm/trunk/SOURCE/cuda_fft_interfaces.f90	(revision 1374)
+++ /palm/trunk/SOURCE/cuda_fft_interfaces.f90	(revision 1375)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! bugfix: missing module kinds added
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1374 2014-04-25 12:55:07Z raasch
+! bugfix: missing module kinds added
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: /palm/trunk/SOURCE/diffusion_e.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_e.f90	(revision 1374)
+++ /palm/trunk/SOURCE/diffusion_e.f90	(revision 1375)
@@ -20,6 +20,5 @@
 ! Current revisions:
 ! -----------------
-! missing variables added to ONLY list
-! rif removed from acc-present-list
+! 
 ! 
 ! Former revisions:
@@ -27,4 +26,8 @@
 ! $Id$
 !
+! 1374 2014-04-25 12:55:07Z raasch
+! missing variables added to ONLY list
+! rif removed from acc-present-list
+! 
 ! 1340 2014-03-25 19:45:13Z kanani
 ! REAL constants defined as wp-kind
Index: /palm/trunk/SOURCE/diffusion_s.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_s.f90	(revision 1374)
+++ /palm/trunk/SOURCE/diffusion_s.f90	(revision 1375)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! missing variables added to ONLY list
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1374 2014-04-25 12:55:07Z raasch
+! missing variables added to ONLY list
+! 
 ! 1340 2014-03-25 19:45:13Z kanani
 ! REAL constants defined as wp-kind
Index: /palm/trunk/SOURCE/diffusion_w.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_w.f90	(revision 1374)
+++ /palm/trunk/SOURCE/diffusion_w.f90	(revision 1375)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! vsws + vswst removed from acc-present-list
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1374 2014-04-25 12:55:07Z raasch
+! vsws + vswst removed from acc-present-list
+! 
 ! 1353 2014-04-08 15:21:23Z heinze
 ! REAL constants provided with KIND-attribute 
Index: /palm/trunk/SOURCE/diffusivities.f90
===================================================================
--- /palm/trunk/SOURCE/diffusivities.f90	(revision 1374)
+++ /palm/trunk/SOURCE/diffusivities.f90	(revision 1375)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! rif removed from acc-present-list
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1374 2014-04-25 12:55:07Z raasch
+! rif removed from acc-present-list
+! 
 ! 1353 2014-04-08 15:21:23Z heinze
 ! REAL constants provided with KIND-attribute 
Index: /palm/trunk/SOURCE/fft_xy.f90
===================================================================
--- /palm/trunk/SOURCE/fft_xy.f90	(revision 1374)
+++ /palm/trunk/SOURCE/fft_xy.f90	(revision 1375)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! bugfixes: missing variables added to ONLY list, dpk renamed dp
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1374 2014-04-25 12:55:07Z raasch
+! bugfixes: missing variables added to ONLY list, dpk renamed dp
 !
 ! 1372 2014-04-24 06:29:32Z raasch
Index: /palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- /palm/trunk/SOURCE/flow_statistics.f90	(revision 1374)
+++ /palm/trunk/SOURCE/flow_statistics.f90	(revision 1375)
@@ -21,6 +21,5 @@
 ! Current revisions:
 ! -----------------
-! bugfix: syntax errors removed from openacc-branch
-! missing variables added to ONLY-lists
+! 
 ! 
 ! Former revisions:
@@ -28,4 +27,8 @@
 ! $Id$
 !
+! 1374 2014-04-25 12:55:07Z raasch
+! bugfix: syntax errors removed from openacc-branch
+! missing variables added to ONLY-lists
+! 
 ! 1365 2014-04-22 15:03:56Z boeske
 ! Output of large scale advection, large scale subsidence and nudging tendencies
Index: /palm/trunk/SOURCE/palm.f90
===================================================================
--- /palm/trunk/SOURCE/palm.f90	(revision 1374)
+++ /palm/trunk/SOURCE/palm.f90	(revision 1375)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! bugfix: module arrays_3d added
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1374 2014-04-25 12:55:07Z raasch
+! bugfix: various modules added
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: /palm/trunk/SOURCE/production_e.f90
===================================================================
--- /palm/trunk/SOURCE/production_e.f90	(revision 1374)
+++ /palm/trunk/SOURCE/production_e.f90	(revision 1375)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! nzb_s_outer removed from acc-present-list
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1374 2014-04-25 12:55:07Z raasch
+! nzb_s_outer removed from acc-present-list
+! 
 ! 1353 2014-04-08 15:21:23Z heinze
 ! REAL constants provided with KIND-attribute
Index: /palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- /palm/trunk/SOURCE/prognostic_equations.f90	(revision 1374)
+++ /palm/trunk/SOURCE/prognostic_equations.f90	(revision 1375)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! missing variables added to ONLY lists
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1374 2014-04-25 12:55:07Z raasch
+! missing variables added to ONLY lists
+! 
 ! 1365 2014-04-22 15:03:56Z boeske
 ! Calls of ls_advec for large scale advection added, 
Index: /palm/trunk/SOURCE/swap_timelevel.f90
===================================================================
--- /palm/trunk/SOURCE/swap_timelevel.f90	(revision 1374)
+++ /palm/trunk/SOURCE/swap_timelevel.f90	(revision 1375)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! bugfix: use-statement for nopointer-case added
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1374 2014-04-25 12:55:07Z raasch
+! bugfix: use-statement for nopointer-case added
+! 
 ! 1320 2014-03-20 08:40:49Z raasch
 ! ONLY-attribute added to USE-statements,
Index: /palm/trunk/SOURCE/wall_fluxes.f90
===================================================================
--- /palm/trunk/SOURCE/wall_fluxes.f90	(revision 1374)
+++ /palm/trunk/SOURCE/wall_fluxes.f90	(revision 1375)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! pt removed from acc-present-list
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1374 2014-04-25 12:55:07Z raasch
+! pt removed from acc-present-list
+! 
 ! 1353 2014-04-08 15:21:23Z heinze
 ! REAL constants provided with KIND-attribute