Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 1383)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 1384)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! location messages added
 ! 
 ! Former revisions:
@@ -260,4 +260,7 @@
     REAL(wp)    ::  remote = 0.0_wp                  !: 
     REAL(wp)    ::  simulation_time_since_reference  !: 
+
+
+    CALL location_message( 'checking parameters' )
 
 !
@@ -3691,4 +3694,7 @@
        CALL message( 'check_parameters', 'PA0378', 1, 2, 0, 6, 0 )
     ENDIF
+
+    CALL location_message( 'finished' )
+
 !
 !-- Check &userpar parameters
@@ -3696,4 +3702,3 @@
 
 
-
  END SUBROUTINE check_parameters
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 1383)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 1384)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! location messages added
 ! 
 ! Former revisions:
@@ -224,4 +224,5 @@
 
 
+    CALL location_message( 'allocating arrays' )
 !
 !-- Allocate arrays
@@ -592,4 +593,5 @@
     intermediate_timestep_count = 1  ! needed when simulated_time = 0.0
        
+    CALL location_message( 'finished' )
 !
 !-- Initialize model variables
@@ -600,4 +602,6 @@
 !--    Initial profiles of the variables must be computes.
        IF ( INDEX( initializing_actions, 'set_1d-model_profiles' ) /= 0 )  THEN
+
+          CALL location_message( 'initializing with 1D model profiles' )
 !
 !--       Use solutions of the 1D model as initial profiles,
@@ -718,7 +722,10 @@
           ENDIF
 
+          CALL location_message( 'finished' )
+
        ELSEIF ( INDEX(initializing_actions, 'set_constant_profiles') /= 0 ) &
        THEN
 
+          CALL location_message( 'initializing with constant profiles' )
 !
 !--       Overwrite initial profiles in case of nudging
@@ -829,11 +836,20 @@
           IF ( sloping_surface )  CALL init_slope
 
+          CALL location_message( 'finished' )
+
        ELSEIF ( INDEX(initializing_actions, 'by_user') /= 0 ) &
        THEN
+
+          CALL location_message( 'initializing by user' )
 !
 !--       Initialization will completely be done by the user
           CALL user_init_3d_model
 
-       ENDIF
+          CALL location_message( 'finished' )
+
+       ENDIF
+
+       CALL location_message( 'initializing statistics, boundary conditions, etc.' )
+
 !
 !--    Bottom boundary
@@ -1105,8 +1121,11 @@
        ENDIF
        
+       CALL location_message( 'finished' )
 
     ELSEIF ( TRIM( initializing_actions ) == 'read_restart_data'  .OR.    &
          TRIM( initializing_actions ) == 'cyclic_fill' )  &
     THEN
+
+       CALL location_message( 'initializing in case of restart / cyclic_fill' )
 !
 !--    When reading data for cyclic fill of 3D prerun data files, read
@@ -1293,4 +1312,6 @@
        IF ( ocean )  tsa_m = 0.0_wp
 
+       CALL location_message( 'finished' )
+
     ELSE
 !
@@ -1462,6 +1483,10 @@
          TRIM( initializing_actions ) /= 'cyclic_fill' )  THEN
 
+       CALL location_message( 'creating initial disturbances' )
        CALL disturb_field( nzb_u_inner, tend, u )
        CALL disturb_field( nzb_v_inner, tend, v )
+       CALL location_message( 'finished' )
+
+       CALL location_message( 'calling pressure solver' )
        n_sor = nsor_ini
        !$acc data copyin( d, ddzu, ddzw, nzb_s_inner, nzb_u_inner )            &
@@ -1472,4 +1497,6 @@
        !$acc end data
        n_sor = nsor
+       CALL location_message( 'finished' )
+
     ENDIF
 
@@ -1844,4 +1871,5 @@
     DEALLOCATE( ngp_2dh_l, ngp_2dh_outer_l, ngp_3d_inner_l, ngp_3d_inner_tmp )
 
+    CALL location_message( 'leaving init_3d_model' )
 
  END SUBROUTINE init_3d_model
Index: palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- palm/trunk/SOURCE/init_pegrid.f90	(revision 1383)
+++ palm/trunk/SOURCE/init_pegrid.f90	(revision 1384)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! location messages added
 ! 
 ! Former revisions:
@@ -175,4 +175,5 @@
 #if defined( __parallel )
 
+    CALL location_message( 'creating virtual PE grids + MPI derived data types' )
 !
 !-- Determine the processor topology or check it, if prescribed by the user
@@ -1070,4 +1071,6 @@
                         comm1dx, ierr )
 
+    CALL location_message( 'finished' )
+
 #elif ! defined ( __parallel )
     IF ( bc_lr == 'dirichlet/radiation' )  THEN
Index: palm/trunk/SOURCE/message.f90
===================================================================
--- palm/trunk/SOURCE/message.f90	(revision 1383)
+++ palm/trunk/SOURCE/message.f90	(revision 1384)
@@ -21,5 +21,5 @@
 ! Current revisions:
 ! -----------------
-!
+! routine location_message added
 !
 ! Former revisions:
@@ -51,5 +51,5 @@
 !------------------------------------------------------------------------------!
 
-    USE control_parameters,                                                  &
+    USE control_parameters,                                                    &
         ONLY:  abort_mode, message_string
 
@@ -206,2 +206,26 @@
 
  END SUBROUTINE message
+
+
+ SUBROUTINE location_message( location )
+
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+! Prints out the given location on stdout
+!------------------------------------------------------------------------------!
+
+    USE pegrid,                                                                &
+        ONLY :  myid
+
+    IMPLICIT NONE
+
+    CHARACTER(LEN=*) ::  location
+
+
+    IF ( myid == 0 )  THEN
+       WRITE ( 6, '(6X,''... '',A)' )  TRIM( location )
+       CALL local_flush( 6 )
+    ENDIF
+
+ END SUBROUTINE location_message
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 1383)
+++ palm/trunk/SOURCE/parin.f90	(revision 1384)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! location messages added
 ! 
 ! Former revisions:
@@ -338,7 +338,9 @@
 !-- First read values of environment variables (this NAMELIST file is
 !-- generated by mrun)
+    CALL location_message( 'reading environment parameters from ENVPAR' )
     OPEN ( 90, FILE='ENVPAR', STATUS='OLD', FORM='FORMATTED', ERR=30 )
     READ ( 90, envpar, ERR=31, END=32 )
     CLOSE ( 90 )
+    CALL location_message( 'finished' )
 
 !
@@ -363,4 +365,5 @@
     io_group  = MOD( myid+1, io_blocks )
 
+    CALL location_message( 'reading NAMELIST parameters from PARIN' )
 !
 !-- Data is read in parallel by groups of PEs
@@ -481,4 +484,6 @@
     ENDDO
 
+    CALL location_message( 'finished' )
+
     RETURN
 
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 1383)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 1384)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! location messages added
 ! 
 ! Former revisions:
@@ -250,4 +250,5 @@
 #endif
 
+    CALL location_message( 'beginning with time-stepping' )
 !
 !-- Start of the time loop
@@ -949,3 +950,5 @@
 #endif
 
+    CALL location_message( 'finished time-stepping' )
+
  END SUBROUTINE time_integration