Index: palm/trunk/SCRIPTS/mbuild
===================================================================
--- palm/trunk/SCRIPTS/mbuild	(revision 1389)
+++ palm/trunk/SCRIPTS/mbuild	(revision 1390)
@@ -22,5 +22,6 @@
 # Current revisions:
 # ------------------
-# 
+# disabled compilation of parameter file check (currently not working),
+# adjustments for lcxe6
 # 
 # Former revisions:
@@ -1293,5 +1294,5 @@
              eval `$MODULESHOME/bin/modulecmd ksh load ${modules}`
           else
-             $init_cmds
+             eval init_cmds=$init_cmds
              module load ${modules}
           fi
@@ -1370,5 +1371,5 @@
              # TOUCH FILES IN ORDER TO FORCE COMPILATION FOR EVERY BLOCK
           touch  *.f90
-          $init_cmds
+          eval init_cmds=$init_cmds
           make  $make_options  BLOCK=$block  F90=$compiler_name  F90_SER=$compiler_name_ser  COPT="$cpp_options"  F90FLAGS="$compiler_options"  LDFLAGS="$loader_options"
 
@@ -1390,45 +1391,45 @@
              fi
 
-                # COMPILE CHECK_NAMELIST_FILES (ONLY FOR ONE BRANCH on LOCALHOST NEEDED)
-             printf "\n\n"
-             echo "  *** compiling check_namelist_files ..."
-
-                # GET CHECK OPTIONS
-             line=""
-             found=false
-             grep  "$remote_host_string" $config_file | grep "%cpp_options"  >  $tmp_mbuild
-             while read line1
-             do
-
-                if [[ $(echo $line1 | cut -d" " -s -f3-) = "$remote_host_string" ]]
-                then
-                   line="$line1"
-                fi
-
-                if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
-                then
-                      # REMOVE COLONS FROM THE OPTION-STRING, IF THERE ARE ANY
-                   line="$line "
-                   copts_check=`echo $line | cut -d" " -s -f2 | sed 's/::/%DUM%/g' | sed 's/:/ /g' | sed 's/%DUM%/:/g' | sed 's/-D[^ ]* //g' | sed 's/ -D.*//g'`
-                   found=true
-                fi
-
-             done < $tmp_mbuild
-             copts_check="$copts_check -D__check -D__parallel"
-
-             check_depository_path=${local_source_path}/../UTIL
-             cd $check_depository_path
-             mkdir check_tmp
-             cp ${local_source_path}/${mainprog}_sources_check.tar ./check_tmp
-             cd check_tmp
-             tar -xf  ${mainprog}_sources_check.tar
-             rm -rf ${mainprog}_sources_check.tar
-             make  -f Makefile_check $make_options  F90=$compiler_name_ser  COPT="$copts_check"  F90FLAGS="$compiler_options"
-             tar -cf  check_namelist_files.tar Makefile_check check_namelist_files.x *.f90 *.o *.mod
-             mv check_namelist_files.tar $check_depository_path
-             mv check_namelist_files.x $PALM_BIN
-             cd $check_depository_path
-             rm -rf check_tmp
-             util_compiled_localhost=true
+#                 # COMPILE CHECK_NAMELIST_FILES (ONLY FOR ONE BRANCH on LOCALHOST NEEDED)
+#              printf "\n\n"
+#              echo "  *** compiling check_namelist_files ..."
+# 
+#                 # GET CHECK OPTIONS
+#              line=""
+#              found=false
+#              grep  "$remote_host_string" $config_file | grep "%cpp_options"  >  $tmp_mbuild
+#              while read line1
+#              do
+# 
+#                 if [[ $(echo $line1 | cut -d" " -s -f3-) = "$remote_host_string" ]]
+#                 then
+#                    line="$line1"
+#                 fi
+# 
+#                 if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
+#                 then
+#                       # REMOVE COLONS FROM THE OPTION-STRING, IF THERE ARE ANY
+#                    line="$line "
+#                    copts_check=`echo $line | cut -d" " -s -f2 | sed 's/::/%DUM%/g' | sed 's/:/ /g' | sed 's/%DUM%/:/g' | sed 's/-D[^ ]* //g' | sed 's/ -D.*//g'`
+#                    found=true
+#                 fi
+# 
+#              done < $tmp_mbuild
+#              copts_check="$copts_check -D__check -D__parallel"
+# 
+#              check_depository_path=${local_source_path}/../UTIL
+#              cd $check_depository_path
+#              mkdir check_tmp
+#              cp ${local_source_path}/${mainprog}_sources_check.tar ./check_tmp
+#              cd check_tmp
+#              tar -xf  ${mainprog}_sources_check.tar
+#              rm -rf ${mainprog}_sources_check.tar
+#              make  -f Makefile_check $make_options  F90=$compiler_name_ser  COPT="$copts_check"  F90FLAGS="$compiler_options"
+#              tar -cf  check_namelist_files.tar Makefile_check check_namelist_files.x *.f90 *.o *.mod
+#              mv check_namelist_files.tar $check_depository_path
+#              mv check_namelist_files.x $PALM_BIN
+#              cd $check_depository_path
+#              rm -rf check_tmp
+#              util_compiled_localhost=true
           else
              cd $check_depository_path
@@ -1436,5 +1437,5 @@
              echo "  *** skipped compilation of mrun GUI."       
              printf "\n\n"
-             echo "  *** skipped compilation of check_namelist_files."            
+             echo "  *** skipped compilation of check_namelist_files (currently not available)."            
           fi
 