Index: /palm/trunk/SCRIPTS/mrun
===================================================================
--- /palm/trunk/SCRIPTS/mrun	(revision 1402)
+++ /palm/trunk/SCRIPTS/mrun	(revision 1403)
@@ -22,9 +22,12 @@
 # Current revisions:
 # ------------------
-# batch_job added to envpar-NAMELIST
+# 
 # 
 # Former revisions:
 # -----------------
 # $Id$
+#
+# 1402 2014-05-09 14:25:13Z raasch
+# batch_job added to envpar-NAMELIST
 #
 # 1357 2014-04-11 15:02:03Z witha
Index: /palm/trunk/SOURCE/Makefile
===================================================================
--- /palm/trunk/SOURCE/Makefile	(revision 1402)
+++ /palm/trunk/SOURCE/Makefile	(revision 1403)
@@ -20,5 +20,5 @@
 # Current revisions:
 # ------------------
-# progress_bar added
+# 
 # 
 # Former revisions:
@@ -26,4 +26,7 @@
 # $Id$
 #
+# 1402 2014-05-09 14:25:13Z raasch
+# progress_bar added
+# 
 # 1400 2014-05-09 14:03:54Z knoop
 # Added new module random_generator_parallel
Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 1402)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 1403)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! location messages modified
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1402 2014-05-09 14:25:13Z raasch
+! location messages modified
+! 
 ! 1400 2014-05-09 14:03:54Z knoop
 ! Check random generator extended by option random-parallel
Index: /palm/trunk/SOURCE/cpulog.f90
===================================================================
--- /palm/trunk/SOURCE/cpulog.f90	(revision 1402)
+++ /palm/trunk/SOURCE/cpulog.f90	(revision 1403)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! location messages added
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1402 2014-05-09 14:25:13Z raasch
+! location messages added
 !
 ! 1369 2014-04-24 05:57:38Z raasch
Index: /palm/trunk/SOURCE/fft_xy.f90
===================================================================
--- /palm/trunk/SOURCE/fft_xy.f90	(revision 1402)
+++ /palm/trunk/SOURCE/fft_xy.f90	(revision 1403)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! fortran bugfix for r1392
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1402 2014-05-09 14:25:13Z raasch
+! fortran bugfix for r1392
+! 
 ! 1398 2014-05-07 11:15:00Z heinze
 ! bugfix: typo removed for KIND in CMPLX function
Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 1402)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 1403)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! location messages modified
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1402 2014-05-09 14:25:13Z raasch
+! location messages modified
+! 
 ! 1400 2014-05-09 14:03:54Z knoop
 ! Parallel random number generator added
Index: /palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- /palm/trunk/SOURCE/init_pegrid.f90	(revision 1402)
+++ /palm/trunk/SOURCE/init_pegrid.f90	(revision 1403)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! location messages modified
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1402 2014-05-09 14:25:13Z raasch
+! location messages modified
+! 
 ! 1384 2014-05-02 14:31:06Z raasch
 ! location messages added
Index: /palm/trunk/SOURCE/message.f90
===================================================================
--- /palm/trunk/SOURCE/message.f90	(revision 1402)
+++ /palm/trunk/SOURCE/message.f90	(revision 1403)
@@ -21,5 +21,5 @@
 ! Current revisions:
 ! -----------------
-! formatting of messages modified
+! 
 ! 
 ! Former revisions:
@@ -27,4 +27,7 @@
 ! $Id$
 !
+! 1402 2014-05-09 14:25:13Z raasch
+! formatting of messages modified
+! 
 ! 1384 2014-05-02 14:31:06Z raasch
 ! routine location_message added
Index: /palm/trunk/SOURCE/palm.f90
===================================================================
--- /palm/trunk/SOURCE/palm.f90	(revision 1402)
+++ /palm/trunk/SOURCE/palm.f90	(revision 1403)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! location messages added
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1402 2014-05-09 14:25:13Z raasch
+! location messages added
+! 
 ! 1374 2014-04-25 12:55:07Z raasch
 ! bugfix: various modules added
Index: /palm/trunk/SOURCE/parin.f90
===================================================================
--- /palm/trunk/SOURCE/parin.f90	(revision 1402)
+++ /palm/trunk/SOURCE/parin.f90	(revision 1403)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! location messages modified, batch_job included in envpar-NAMELIST
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1402 2014-05-09 14:25:13Z raasch
+! location messages modified, batch_job included in envpar-NAMELIST
+! 
 ! 1384 2014-05-02 14:31:06Z raasch
 ! location messages added
Index: /palm/trunk/SOURCE/time_integration.f90
===================================================================
--- /palm/trunk/SOURCE/time_integration.f90	(revision 1402)
+++ /palm/trunk/SOURCE/time_integration.f90	(revision 1403)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! location messages modified
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1402 2014-05-09 14:25:13Z raasch
+! location messages modified
+! 
 ! 1384 2014-05-02 14:31:06Z raasch
 ! location messages added